Bug 2586 - segfault in apt-shell
Summary: segfault in apt-shell
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: apt (show other bugs)
Version: unstable
Hardware: all Linux
: P5 critical
Assignee: Gleb F-Malinovskiy
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-15 12:05 MSD by Vitaly A. Ostanin
Modified: 2008-03-01 15:16 MSK (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly A. Ostanin 2003-05-15 12:05:55 MSD
# apt-shell 
Reading Package Lists... Done
Building Dependency Tree... Done
Welcome to the APT shell. Type \"help\" for more information.
apt> update 
99% [release gpg 2648]Segmentation fault

Репозиторий - локальная почти полная копия Sisyphus, индексы генерируются самостоятельно с моим gpg-ключом, в sources.list проверка ключа указана (rpm [vyt] ...)

apt-get update работает нормально.

apt-0.5.5cnc4.1-alt4

---

---

Comment 1 Dmitry V. Levin 2004-01-16 21:28:39 MSK
Same with new apt-0.5.15cnc5-alt1 :( 
Comment 2 inger@altlinux.org 2004-06-04 18:07:42 MSD
а у меня не подтвердилось 
 
Comment 3 Vitaly A. Ostanin 2004-06-08 14:47:45 MSD
Поразительно, теперь и у меня работает. Правда, индексы уже родные от ALT.

apt-0.5.15cnc6-alt3
Comment 4 Dmitry V. Levin 2004-07-02 16:30:33 MSD
Really fixed in 0.5.15cnc6-alt4